`include "TapOrNot.v"

module top;

  reg [8:0]      bird_top_x_0;
  reg [8:0]      bird_top_x_1;
  reg [8:0]      bird_lower_limit;
  wire [2:0]     tap_times;

  TapOrNot test
  (
   // Configuration
   .bird_lower_limit         (bird_lower_limit),
   .message_on_screen_top    (),

   // Inputs from scanning
   .bird_top_x_0_valid       (1'b1),
   .bird_top_x_0             (bird_top_x_0),

   .pipe_0_y_0_valid         (1'b1),
   .pipe_0_y_0               (),

   .pipe_0_gap_top_x_0_valid (1'b1),
   .pipe_0_gap_top_x_0       (),

   // Inputs from scanning
   .bird_top_x_1_valid       (1'b1),
   .bird_top_x_1             (bird_top_x_1),

   .pipe_0_y_1_valid         (1'b1),
   .pipe_0_y_1               (),

   .pipe_0_gap_top_x_1_valid (1'b1),
   .pipe_0_gap_top_x_1       (),

   .bird_threshold_display   (),

   .tap_times                (tap_times),

   .debug                    ()
   );

  initial begin
    $dumpfile("TapOrNot.vcd");
    $dumpvars(0, top);

    bird_top_x_0 = 50;
    bird_top_x_1 = 45;
    bird_lower_limit = 100;

    #5;

    bird_top_x_0 = 50;
    bird_top_x_1 = 45;
    bird_lower_limit = 0;

    #5;

    bird_top_x_0 = 50;
    bird_top_x_1 = 45;
    bird_lower_limit = 0;

    #5;
    $finish;
  end

endmodule

