`include "Tapper.v"

module top;

  reg reset;

  reg clk = 1'b1;
  always begin
    #5;
    clk = ~clk;
  end

  reg [31:0] cycle_num = 32'b0;
  always @ ( posedge clk ) begin
    cycle_num = cycle_num + 1'b1;
  end

  // DUT instantiation

  reg [2:0] tap_times = 0;
  reg       tap_times_val = 0;
  wire      tap_out;
  wire      done;

  Tapper #(23'd100) tapper
  (
   .clk                    (clk),
   .reset                  (reset),
   .num_tap_cycles         (24'd4),
   .num_between_tap_cycles (24'd2),
   .tap_times              (tap_times),
   .tap_times_val          (tap_times_val),
   .tap_out                (tap_out),
   .done                   (done)
  );

  initial begin
    $dumpfile("Tapper.vcd");
    $dumpvars(0, top);

    #1; reset = 1'b1;
    #10; reset = 1'b0;

    reset = 1'b0;
    tap_times = 3'd0;
    tap_times_val = 1'b1;

    #300;

    tap_times = 3'd0;
    tap_times_val = 1'b0;
    reset = 1'b1;

    #10;

    reset = 1'b0;
    tap_times = 3'd1;
    tap_times_val = 1'b1;

    #300;

    tap_times = 3'd0;
    tap_times_val = 1'b0;
    reset = 1'b1;

    #10;

    reset = 1'b0;
    tap_times = 3'd2;
    tap_times_val = 1'b1;

    #300;

    tap_times = 3'd0;
    tap_times_val = 1'b0;
    reset = 1'b1;

    #10;

    reset = 1'b0;
    tap_times = 3'd7;
    tap_times_val = 1'b1;

    #1000;

    tap_times = 3'd0;
    tap_times_val = 1'b0;
    reset = 1'b1;

    $finish;
  end

endmodule
